TAAS - Feature #49

User
09/15/2022 11:51 AM - Anil KV

Status: Reopen Bugs Coding Done Start date: 09/24/2022
Priority: Normal Due date: 09/30/2022
Assignee: Vivekp V % Done: 70%
Category: Estimated time: 48:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: User

Description

Coding User

History

#1 - 11/03/2022 09:52 AM - Muhasin PU
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#2 - 11/10/2022 11:44 AM - Muhasin PU
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#3 - 12/16/2022 03:34 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.FIX AUTOCOMPLETION ON USER ACCOUNT
2.SET RED STAR ON BRANCH

3."User Ac." CHANGE TO "User Account"

4.FIX SPELLING MISTAKE ON PASSWORD ALERTS

#4 - 12/16/2022 04:01 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#5 - 03/15/2023 06:04 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Correct the spelling - Privilege
(Module Privilege - Menu: TO DO, View Data)

#6 - 04/28/2023 10:09 AM - Muhasin PU

MENU 'TODO' Translation Remaining.
(Menu Name get from Menu Sevice). !!

e ALL OTHER BUGS Fixed.

#7 - 05/31/2023 10:34 AM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

FIXED.

#8 - 07/12/2023 04:41 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- Assignee changed from Muhasin PU to Junaid M

- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.SELECT OPTION NOT WORKING IN APPROVAL PRIVILEGE

#9 - 09/22/2023 01:08 PM - unnikannan S

unnikannan S wrote in #note-8:

ISSUE FOUNDED

1.SELECT OPTION NOT WORKING IN APPROVAL PRIVILEGE
2.BLOCKING ALL PRIVILEGES WHILE UPDATE WITHOUT ADDING DATA

#10 - 09/23/2023 05:15 PM - Seema Mathew

- Tested By changed from unnikannan S to Seema Mathew
ISSUE FOUNDED****

1.BUTTON MISSING BY SWITCHING USER

#11 - 10/09/2023 01:31 PM - Junaid M
Add User Log Table and Connect log on Update, Delete

#12 - 10/17/2023 03:04 PM - Anil KV
- Assignee changed from Junaid M to Vivekp V

#13 - 11/27/2023 01:14 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

user module fixed

#14 - 01/06/2024 11:29 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.USER ACCOUNT PRIVILEGE SHOWING ALL ACCOUNTS
2.CHANGES SHOWN AS PER THE UPDATION OF USER GROUP

#15 - 01/09/2024 10:35 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED
1.USER ACCOUNT PRIVILEGE SHOWING ALL ACCOUNTS
2.CHANGES SHOWN AS PER THE UPDATION OF USER GROUP

#16 - 01/10/2024 02:02 PM - unnikannan S
TESTING DONE

#17 - 01/13/2024 04:36 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.MISSING ADDED PRIVILEGES OF MODULES THROUGH LIST MISSING IN UPDATE IN SOME FIELDS ONLY fixed
#18 - 01/16/2024 06:52 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED

1.MISSING ADDED PRIVILEGES OF MODULES THROUGH LIST MISSING IN UPDATE IN SOME FIELDS ONLY
2. privileged account save only those who are selected only

#19 - 01/17/2024 03:39 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.MISSING DATAS/BLOCKING PERMISSION TO VIEW WHILE UPDATING SUPERVISOR ALL SELECT FIELD (SOME FIELDS)
report and search modules search controller straction change to string strAction = "VIEW_MENU";

2.ADD SELECTION IN APPROVAL PRIVILEGE

#20 - 01/17/2024 05:46 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#21 - 02/02/2024 10:57 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.HIDE THOSE PRIVILEGES THAT UNTICKED IN SYSTEM SETTINGS
#22 - 02/02/2024 01:12 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED

1.HIDE THOSE PRIVILEGES THAT UNTICKED IN SYSTEM SETTINGS

#23 - 02/05/2024 12:19 PM - unnikannan S
TESTING DONE

#24 - 02/23/2024 08:45 PM - Junaid M

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

User GUI Change

1) General Privilege -> Notification -> Payment Exceed Notification to Me

#25 - 02/24/2024 11:12 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

User GUI Change Done
1) General Privilege -> Notification -> Payment Exceed Notification to Me

#26 - 02/26/2024 11:33 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.BLOCK DELETION OF USER AFTER LOGIN FROM THE CREATED USER ID
#27 - 02/26/2024 04:45 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED

1.BLOCK DELETION OF USER AFTER LOGIN FROM THE CREATED USER ID
#28 - 02/26/2024 06:28 PM - Vivekp V

- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

#29 - 02/27/2024 02:29 PM - unnikannan S
TESTING DONE

#30 - 02/27/2024 02:30 PM - unnikannan S
- Status changed from New Changes to Reopen Bugs
ISSUE FOUNDED

1.ERROR WHILE CLEARING DEFAULT VALUE 0 FROM LIST TRY TO UPDATE
Error converting value {null} to type 'System.Double'. Path 'mdlUser.IstMdISettingsModePrivilege'®.dblLimit', line 1, position 307710.

2.CORRECT THE FUNCTION OF NEW BUTTON
#31 - 02/27/2024 05:01 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.ERROR WHILE CLEARING DEFAULT VALUE 0 FROM LIST TRY TO UPDATE
Error converting value {null} to type 'System.Double'. Path 'mdIUser.IstMdISettingsModePrivilege16.dblLimit', line 1, position 307710.

2.CORRECT THE FUNCTION OF NEW BUTTON changes under way

#32 - 02/28/2024 04:18 PM - Vivekp V
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50
#33 - 03/04/2024 12:02 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

coding done
payment exceed then notification to me added

#34 - 03/21/2024 04:10 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.NOT CLEARING ADDED CITY,STATE,COUNTRY
2.ERROR WHILE ADDING IP ADDRESS (Error converting value "E" to type 'System.String[]'. Path 'mdlUser.artAllowedLoginlpAddress', line 1,
position 356.)

#35 - 03/21/2024 05:56 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE fixed

1.NOT CLEARING ADDED CITY,STATE,COUNTRY
2.ERROR WHILE ADDING IP ADDRESS (Error converting value "E" to type 'System.String[]'. Path 'mdIUser.artAllowedLoginlpAddress', line 1,
position 356.)

#36 - 03/22/2024 09:52 AM - unnikannan S
TESTING DONE

#37 - 07/23/2024 11:47 AM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

GUI Change

1. General Privilege -> Sale -> Credit Limit Exceed Then
Set Default "Block(Topup Request)".
Disable all other options.

2. General Privilege -> Sale -> Grace Period Exceed Then
Add New Option "No Checking"
Disable all other options.

Apply these 2 changes in Usergroup also.

#38 - 07/25/2024 09:22 AM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

GUI Change Done

1. General Privilege -> Sale -> Credit Limit Exceed Then
Set Default "Block(Topup Request)".

Disable all other options.

2. General Privilege -> Sale -> Grace Period Exceed Then
Add New Option "No Checking"

Disable all other options.

Apply these 2 changes in Usergroup also.

#39 - 08/29/2024 03:19 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Missing Mandatory Default Values On Update

#40 - 08/29/2024 03:50 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Missing Mandatory Default Values On Update

#41 - 09/05/2024 11:50 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND:

1)Module Privilege, Module Feature Privilege, Module Mode Privilege, Account Privilege tabs check boxes can be ticked and unticked without clicking
the edit icon make it same as Approval Privilege tab

#42 - 09/06/2024 09:04 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#43 - 09/09/2024 10:37 AM - Avinash MS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

GUI Change

Designation field >> Select Box

#44 - 09/25/2024 06:37 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

GUI Change DONE

Designation field >> Select Box

#45 - 11/11/2024 04:30 PM - Junaid M
- Status changed from New Changes Coding Done to New Changes
- % Done changed from 70 to 50

NEW CHANGES DONE

1. Backward/Forward Period widgets -> 0 means Same day. So default value is
2. Update title. add "Empty means no checking"

(Empty string).

#46 - 11/11/2024 05:25 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#47 - 11/14/2024 09:16 AM - unnikannan S

- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUDED

1.Blocking Modules Delete Permission On Update

#48 - 11/14/2024 05:38 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Blocking Modules Delete Permission On Update

menu service action delete permission was off

#49 - 11/19/2024 04:39 PM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#50 - 11/20/2024 06:34 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Module feature privilege tab - Only single ALPO, AP sharing and AR sharing is needed.
2. Against sale, Group sale, Performa sale, sale (tab) should all come under sale.

3. Similarly only a single receipt, payment is needed.

IstReceiptMode - and Sale

IstPaymentMode - and Refund

4. Add another mode : credit sale, credit refund mode.

#51 - 11/25/2024 04:30 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1. Module feature privilege tab - Only single ALPO, AP sharing and AR sharing is needed.
2. Against sale, Group sale, Performa sale, sale (tab) should all come under sale.

3. Similarly only a single receipt, payment is needed.

IstReceiptMode - and Sale

IstPaymentMode - and Refund

4. Add another mode : credit sale, credit refund mode.

#52 - 12/11/2024 06:52 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Can't access some modules while log in as a user ( Change in menu service).
Change: disable 'paid cheque should be in cheque book' DONE

NEW CHANGE

1. Add a new field besides phone as whatsapp no:

#53 - 01/24/2025 11:46 AM - Arathy PS
ISSUE FIXED

1. While giving certain privileges to a user you have to update it multiple time during the first time for it to function properly.
Example

1.Created a user-- in the general privileges didn't allow old refund and saved it-- tried a refund--validation happens
2.Then changed the privilege to allow refund--but while trying to make a refund without sale there is still the previous validation.
3.Will have to do this a few times repeatedly to make it work properly.

2. Same issue is found while trying auto revoke, manual revoke privileges for a user.

NEW CHANGE DONE

1. After default department add default cost centre.-- it should be loading in Own data--> own settings--while logged in as the user

#54 - 02/14/2025 02:34 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#55 - 02/19/2025 02:08 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Auto revoke, manual revoke privileges for a user is not working. FIXED
2.Module privilege to edit/delete/create for set payment due penalty is defaultly not set

#56 - 03/03/2025 06:43 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
